stages: 
  - security

security:
  stage: security
  allow_failure: true
  trigger:
    include:
    # Path to the shared repo
      - project: 'whitespots-public/pipelines'
        # a proper branch name
        ref: 'main'
        file: 'pipelines.yml'
        
  variables:
    # SAST settings
    SEC_SAST_ENABLE: "true"
    SECRET: "c8940fhufo29ofpqu9fpq9283r-12048fh093u4fgoq3yufbg309qfu4h-39u4fgo3qy4fy3o4fy83fiw3go394fu39ufg3f-3gfbuw3fi83yfr3rgftrg"
    SEC_GO: "true"
    SEC_IMAGE_SCAN_ENABLE: "true"